/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.impl.enc;

import org.ow2.util.ee.metadata.common.api.enc.IInjectionTargetEnc;

/**
 *
 * @author Florent Benoit
 */
public class InjectionTargetEncImpl implements IInjectionTargetEnc {

    /**
     * Name of the field/method.
     */
    private String name = null;

    /**
     * ENC Name to use by the field/method.
     */
    private String encName = null;

    /**
     * Build a given injection target ENC for the given name/ENC name
     * @param name the name of the injection target
     * @param encName the name of the ENC
     */
    public InjectionTargetEncImpl(final String name, final String encName) {
        this.name = name;
        this.encName = encName;
    }


    /**
     * @return the name of the field/method.
     */
    public String getName() {
        return name;
    }

    /**
     * @return the name of the ENC name that needs to be used to lookup the value.
     */
    public String getEncName() {
        return encName;
    }
}
